Subject: userfloppy 0.1
From: [email-masked] (Romano Giannetti)
Date: 28 Jun 1994 20:57:47 GMT
Newsgroups: comp.os.linux.announce

This is the first (and I hope the last... it's so simple :) release of
userfloppy, a set of 3 little programs I use to allows normal users to
use floppy disks with full unix semantic. 

This packages is build on the usermount package by Peter Orbaek. 

Here are the README and the lsm:

This is the README file for the userfloppy package for Linux
Date: 28-Jun-94
Version: 0.1
Author: Peter Orbaek <[email-masked]>
        Romano Giannetti <[email-masked]>

Quick installation guide
========================

Edit the #define FDFORMAT in userfdformat.c to specify your full path 
to fdformat.

        make

It builds cleanly with gcc-2.5.8 and Linux 1.1.18 (libc 4.5.21)

And optionally as root (CHECK the Makefile first!):

        make install-man
        make install

Description
===========
This package permits users to have a full access to floppy
disks. (And, but I cannot test it, cdrom and similar). 

First, usermount and userumount allow user to mount their disks when 
authorized by the system manager. The main difference between this
mount and the old usermount is that the superuser can specify more
than one entry for the pair device/directory in the authorization
file, with different type. If the /etc/ufstab look like the one in the
dist, users can mount /dev/fd0 on /floppy with types msdos,minix,ext2,
umsdos. the /floppy dir is chown()ed to the user if the mount was
successful. 

The userfdformat is simply a wrapper that call fdformat allowing to
normal users to low level format floppy where they have write
permissions. 

============================

Begin2
Title        = userfloppy
Version      = 0.1
Desc1        = a package to allow normal users mount/umount/format 
Desc2        = floppy disks.
Author       = Romano Giannetti 
AuthorEmail  = [email-masked]
Maintainer   = Romano Giannetti
MaintEmail   = [email-masked]
Site1        = sunsite.unc.edu 
Path1        = pub/Linux/utils/disk-management
File1        = userfloppy0.1.tar.gz
FileSize1    = 7757 
CopyPolicy1  = GNU General Public License
Keywords     = floppy mount umount fdformat
Entered      = 28 Jun 1994
EnteredBy    = Romano Giannetti
CheckedEmail = [email-masked]
End
==================================================

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.